﻿# You can place the script of your game in this file.

init:
    $ lib_washere = 0
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    image maintitle = "maintitle.png"
    image radar = "radar.png"
    image desert = "desert.jpg"
    image h = "protagonist.png"
    image c = "cancer.png"
    image tr = "tripfag.png"
    image a = "anon2.png"
    image darkcity = "darkcity.jpg"
    image citypipes = "citypipes.jpg"
    image nuclear:
     "nuclear.jpg"
     linear 20.0 zoom 1.10
     linear 20.0 zoom 1.0
     repeat
    image bigmoon = "bigmoon.jpg"
    image bg = "bg.jpg"
    image title:
     "title.jpg"
     xalign 0.0 yalign 0.0
     linear 100.0 xalign 1.0
     linear 100.0 xalign 0.0
     repeat
    # Declare characters used by this game.
    $ h = Character('Я', color="#c8ffc8")
    $ c = Character( 'Зараженный', color="#c8ffc8")
    $ tr = Character('Трипфаг', color="#c8ffc8")
    $ ti = Character('Трипфаг Тинувиэль', color="#c8ffc8")
    $ a = Character('Анонимус', color="#c8ffc8")
    $ v = Character('Голос', color="#c8ffc8")


# The game starts here.
label start:
     play music "01.mp3" fadein 5 fadeout 5
     scene title with dissolve
     "Двач."
     "Старый Двач."
     "Место, где я жил."
     "Место, где я был свободен."
     "Он был городом, в котором небоскребы соседствовали с пестрыми лачугами,"
     "...а бульвары и улицы были заполнены разноголосицей прохожих."
     "Праздно шатающихся."
     "Или занятых решением своих проблем."
     "Художников, рисующих тут же, посреди площадей и на скамейках в парках."
     "Уличных музыкантов и их благодарных слушателей."
     "…"
     "Двач."
     "Это целый мир, скрытая в капле воды вселенная,"
     "в которой жил многоликий и всеведущий Анонимус."
     "..."
     "Я был его частью."
     "…"
     scene nuclear with dissolve
     "Этот мир погиб."
     scene bg with dissolve
     "Этот мир погиб."
     "Его больше нет."
     scene darkcity with dissolve:
         xalign 0.10 yalign 0.0
         linear 50.0 xalign 0.0
         linear 50.0 xalign 0.10
         repeat
     "На его руинах вырастают новые пространства."
     "Склеенные из осколков Двача, как разбитая ваза."
     "Выглядит ли то, что склеено так же, как то, что было разбито?"
     "Только не здесь."
     "Здесь ветер завывает в лабиринтах покинутых улиц."
     "Здесь горящие ненавистью глаза смотрят из провалов окон."
     "Это одно из отражений Двача."
     "Плотоядный цветок, проросший сквозь тронутое тленом тело мертвого гиганта."
     "Хищный побег, от рождения зараженный тем же, что сгубило Двач."
     scene citypipes with dissolve:
         linear 50.0 zoom 1.20
     "Место, где все еще живущие обречены."
     "Место, охваченное страшной болезнью,"
     "от которой никогда не выдумают лекарства."
     scene darkcity with dissolve:
          xalign 0.10 yalign 0.0
          linear 50.0 xalign 0.0
          linear 50.0 xalign 0.10
          repeat
     "Имя этой болезни — рабство."
     show h at center with dissolve
     "Вслушайся в вой ветра вместе со мной."
     "Ступи на эту лишенную жизни землю."
     "И ты станешь таким же, как я."
     "Обреченным."
     hide h with dissolve
     show maintitle at center with dissolve
     "ТИРЕЧ: РАЗРУШЕНИЕ"
     "визуальная новелла"
     "0chan.ru, 2010 год"
     hide maintitle with dissolve
     play music "02.mp3" fadein 5 fadeout 5
     scene desert with dissolve
     "..."
     show h at center with dissolve
     "Я вышел из хижины в пустыню."
     "Вокруг меня до горизонта раскинулся океан серого песка."
     hide h with dissolve
     "Это было неуютное, безлюдное место."
     "Но все же  лучше, чем то, откуда мы, те, кто раньше называл себя Легионом, бежали кто куда, оставляя все, что у нас было, забирая с собой самое ценное - воспоминания."
     "Моя спасательная капсула приземлилась здесь, в этой холодной пустыне вне времени и пространства."
     show radar at center with dissolve
     "Первым, что я сделал, когда снова стал ходить, была постройка радара."
     scene bigmoon with dissolve
     show radar at center
     "Радара, который слушал серое небо над головой. "
     "Улавливал сигналы о жизни за пределами мира, в котором я нашел свой приют. Отслеживал частоты. "
     "Прощупывал лучами одиночества иные измерения."
     "Я надеялся, что однажды найду своих."
     "Что однажды я смогу вернуться."
     scene desert with dissolve
     show h at left with dissolve
     "В этот день я, как и обычно, изучал ткань миров. Мои приборы невидимым буром пронзали призрачную стену между планами. "
     show radar at right with dissolve
     "Когда я получил сигнал бедствия из измерения, в котором когда-то был Двач, на близкой к нему частоте, я удивился."
     "На этой частоте  целую бесконечность царило молчание! "
     "Неужели там есть еще кто-то живой?"
     "Вращая верньеры, я настроил приемник. Сквозь межпространственный эфир я услышал отдаленный глухой голос."
     scene bg with dissolve
     "Странно, но голос был исполнен радости."
     v "- Тебя приветствует Двач! Добро пожаловать на территорию свободы! Снова. Тебя приветствует Двач! Добро пожаловать на территорию свободы! Снова."
     show h at center with dissolve
     "Эти слова были единственным, что я смог разобрать сквозь треск помех."
     scene desert with dissolve
     "Я выкопал из песка капсулу. Ее энергетические коллекторы были целы. "
     "Они-то и были мне нужны."
     "Я подключил радар к коллекторам капсулы. Изменил контур излучателей."
     "Не знаю, сколько времени я работал над этим. Я давно утратил счет времени."
     "Наконец, моя установка была готова. "
     "Лучевая пушка. Недостаточно, чтобы уничтожить вселенную, но хватит, чтобы открыть окно в пространство, откуда я получил сигнал."
     "Я включил установку."
     scene bigmoon with dissolve
     "Пушка загудела, и перед излучателями возникло облако искр. За ним…"
     "За ним я увидел очертания знакомого города."
     "Ни секунды не колеблясь, я шагнул за грань реальности."
     scene darkcity with dissolve:
         linear 20.0 zoom 1.01
         linear 20.0 zoom 0.0
         repeat
     "Вокруг меня был Двач."
     show h at center with dissolve
     "Вернее, то, что от него осталось."
     scene citypipes with dissolve
     "Развалины зданий."
     scene darkcity with dissolve
     "Руины разрушенных надежд."
     "Пустоши, покинутые теми, кто бежал вместе со мной."
     "И...огни."
     "Множество огней кругом, между горами мусора, в слепых окнах обрушившихся зданий."
     "Жизнь."
     "Здесь жили."
     show h at center with dissolve
     "Я понял, что должен выяснить, кем были те, кто разжег костры на руинах погибшего мира."
     jump map
     
     label map:
     scene citypipes with dissolve
     show h at center with dissolve
     "Я стоял на заброшенной площади, где ветер гонял обрывки газет по мостовой. Отсюда я мог пройти туда, где раньше находилась Библиотека."
     "Хорошо вытоптанная тропинка через развалины и согнутые чудовищной силой металлоконструкции вела в сторону Фабрики."
     "На горизонте над руинами старого мира высились черные башни."
     "Отдаленный голос из невидимых громкоговорителей вещал что-то неразборчивое об усилении дисциплины"
     v " - ...Территория...свободы....дисциплины...Зараженные...получить ингибиторы..."
     "Ветер рвал фразы на мелкие кусочки."
     "Какие-то существа иногда появлялись среди обломков зданий и смотрели на меня."
     "Стоило мне обратить на них внимание, как они тотчас скрывались в мусорных кучах."
     "Это было странное место."
     "Вот ты какая - территория свободы."
     menu:
         "Я зашагал в сторону Библиотеки": 
             jump library
         "Я направился в сторону Фабрики":
             jump factory
     
     label library:
     scene darkcity with dissolve
     show h at left with dissolve
     "Я завернул в переулок. "
     "Когда-то здесь была библиотека."
     "Сейчас, на развалинах сгоревшего здания, стоял монумент с выбитой на нем надписью «А ТЫ ЧИТАЛ ДЖОЙСА В ОРИГИНАЛЕ?»."
     "На постаменте восседало изваяние – женская фигура в тугом комбинезоне. "
     "Вместо лица была гладкая, как бильярдный шар, маска, с прорезями для глаз и вырезанной в камне ухмылкой."
     if lib_washere < 1:
         $ lib_washere  +=1
         call library_firstlook
         pass
     "За постаментом я заметил проход в серый покосившийся барак."
     "На оплетенном колючей проволокой ограждении светилась надпись, сделанная флуоресцирующей краской:"
     "СКОТНЫЙ ДВОР"
     menu:
         "Я направился на Скотный Двор":
             jump cow_yard
         "Я пошел на заброшенную площадь":
             jump map
     label library_firstlook:
     scene citypipes with dissolve
     show c at center with dissolve
     "Рядом с монументом я увидел копошащееся, лишь отдаленно похожее на человека существо. "
     "Это был Анонимус."
     "Страшный, изменившийся, превратившийся в неведомое и отвратительное создание, но - Анонимус."
     "Значит, вот кто разжег огни посреди погибшего мира."
     "Значит, вот что случилось с теми, кто не успел бежать."
     "Что-то сделало их такими."
     "Что же?"
     "Ответа не было."
     "Его бледное лицо было обтянуто сеткой тонких синих сосудов, а глаза, пустые, лишенные зрачков, не выражали ничего."
     "Ничего."
     "Кроме страдания."
     hide c
     show c at right with dissolve
     show h at left with dissolve
     h "- Анонимус?"
     "Я подошел к нему. Услышав это обращение, он вздрогнул, и стал озираться."
     c "- Тише, тише, пришелец! Это имя запрещено, разве ты не знаешь?"
     h "- Я не местный. "
     c "- Лучше тебе не упоминать это имя. Иначе ты привлечешь внимание патруля."
     h "- Разве это не Тиреч, территория свободы? Радиопередача, чей-то голос утверждал, что Тиреч - царство свободы."
     c "- Да-да! Тиреч – территория свободы! Добро пожаловать снова!"
     "Он суетливо закивал болезненно крупной, совершенной лысой головой."
     "Его длинные тонкие пальцы постоянно сплетались и расплетались, и он раскачивался, как маятник."
     "От него нестерпимо разило. "
     h "- Как же тебя звать? Как к тебе обращаться?"
     c "- Можно называть меня петушком. Это не ругательное слово, не думай. Мой идентификатор – Петушок Один-Семь-Два-Бо."
     c "- Это просто кодовое обозначение для зараженных второй степени. Видишь, у меня ноги сгибаются в обратную сторону, как у птицы?"
     c "- Вторая степень, такие у нее симптомы. "
     "И он присел…согнув ноги коленями назад! Я отшатнулся."
     h "- Что с вами происходит? Я видел других, похожих на тебя. Что за зараза, от которой ты превратился в это?"
     "Его белые губы задрожали. На мгновение из щели рта показался длинный раздвоенный язык. Петушок 172-Бо облизнул губы и утянул язык обратно."
     c "- Мы обречены. Мы все погибнем. Если бы не благословенные Адекватные Трипфаги и Верховный Администратор Педалл Небесный – мы бы уже погибли."
     h "- Это вирус?"
     c "- Да, его называют канцер.  Канцер 2-ch, если быть точным. Вирус, который постоянно мутирует. Он разлагает нас, пришелец. Он убивает нас. "
     h "- Есть ли средство от этого вируса?"
     c "- Ученые работают. Лаборатории работают. Я не видел, где и как, но Адекватные уверяют нас, что работа ведется, и мы близки к открытию препарата."
     h "- Ты не думал, что они лгут вам?"
     c "- Нет, нет, что ты! Администрация Педалла помогает нам – жесткой дисциплиной, утилизацией тех, кто признан безнадежным."
     c "В конце-концов, они дают нам ингибиторы."
     menu:
         "- Ингибиторы?":
             h "- Ингибиторы?"
             c "- Препараты, которые замедляют разложение."
             c "- Останавливают мутации организма. Продлевают нам жизнь."
             c "- Смотри."
             "Он показал мне коробочку со стеклянными ампулами. Внутри – жидкость зеленого цвета."
             c "- Есть еще таблетки. Их раздают бесплатно, в обмен на помощь Администрации и хорошее поведение. "
         "- Почему трипфаги скрывают судьбу вакцины?":
             h "- Почему трипфаги скрывают, каковы результаты исследования противоядия?"
             c "- Я…не знаю…Наверное, из соображений безопасности."
             c "- Безопасность – важнее всего сейчас. "
             c "- Не совершать дисциплинарных проступков."
             c "- Не посещать районы с высоким уровнем заражения. "
             c "- Особенно район Бреда, не ходи туда, пришелец."
             return
     h "- Почему трипфаги скрывают, каковы результаты исследования противоядия?"
     c "- Я…не знаю…Наверное, из соображений безопасности."
     c "- Безопасность – важнее всего сейчас. "
     c "- Не совершать дисциплинарных проступков."
     c "- Не посещать районы с высоким уровнем заражения. "
     c "- Особенно район Бреда, не ходи туда, пришелец."
     "Он замолчал."
     "Его подернутые белесой пленкой глаза закрылись, словно он ушел в себя, о чем-то размышляя."
     "Я понял, что больше он ничего мне не скажет."
     "Значит, это был вирус."
     "Откуда же он появился?"
     "Вопросы, одни вопросы."
     return
     
     
     label cow_yard:
     label factory:
     label factory_firstlook:
     label bred_district:
     label bred_district_firstlook:
     label waste:
     label tripfag_encounter:
     label unafag_encounter:
     label end:
     "КОНЕЦ ДЕМО"
  
    
    
